mcrypt_create_iv
mcrypt_ecb
Mcrypt Functions
PHP Manual

# mcrypt_decrypt

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_decrypt — Decrypts crypttext with given parameters

### Description

string mcrypt_decrypt ( string `$cipher` , string `$key` , string `$data` , string `$mode` [, string `$iv` ] )

Decrypts the `data` and returns the unencrypted data.

### Parameters

`cipher`

  `cipher` is one of the MCRYPT_ciphername constants of the name of the algorithm as string.

`key`

  `key` is the key with which the data is encrypted. If it's smaller that the required keysize, it is padded with '\0'.

`data`

  `data` is the data that will be decrypted with the given cipher and mode. If the size of the data is not n * blocksize, the data will be padded with '\0'.

`mode`

  `mode` is one of the MCRYPT_MODE_modename constants of one of "ecb", "cbc", "cfb", "ofb", "nofb" or "stream".

`iv`

  The `iv` parameter is used for the initialisation in CBC, CFB, OFB modes, and in some algorithms in STREAM mode. If you do not supply an IV, while it is needed for an algorithm, the function issues a warning and uses an IV with all bytes set to '\0'.

### Return Values

Returns the decrypted data as a string.

mcrypt_create_iv
mcrypt_ecb
Mcrypt Functions
PHP Manual